Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1051724 - "qemu-kvm -vga qxl" pushes mouse pointer to top/left outside of qemu console window
Summary: "qemu-kvm -vga qxl" pushes mouse pointer to top/left outside of qemu console ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-11 03:45 UTC by Jens Petersen
Modified: 2014-04-25 16:31 UTC (History)
11 users (show)

Fixed In Version: qemu-1.6.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-25 15:42:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2014-01-11 03:45:05 UTC
Description of problem:
I usually run Live images from the commandline with:

qemu-kvm -m 1024 -vga qxl -usb -localtime -k en-us -boot d -cdrom live-image.iso

With F20 it seems that "-vga qxl" makes the mouse behaviour very strange.
Basically it is impossible to bring the mouse pointer into the qemu
guest console after one has clicked once: then the pointer is pushed out
of the top/left of the console window and all attempts to move it back in
reflect it back out again repeated making mouse actions impossible.

Version-Release number of selected component (if applicable):
qemu-kvm-1.6.1-3.fc20.x86_64
xorg-x11-drv-qxl-0.1.1-3.fc20.x86_64
kernel-3.12.6-300.fc20.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Run F20 qemu using qxl on a Live image.
2. Move mouse pointer into qemu console
3. Click mouse
4. Try to use mouse in the guest session.

Actual results:
2. No mouse pointer visible in console until one clicks mouse
3. Pointer jumps out of console to left or top of qemu window.
4. Impossible to use mouse in qemu guest under qxl vga.

Expected results:
4. Mouse to work with qxl as it did under F19.

Additional info:
This doesn't happen under virt-manager's qemu configuration
so that is why I am reporting this against qemu.

Before clicking the mouse, the pointer seems to move in and out
of the window normally but it is not visible and has no effect
(highlighting etc) on the desktop.

After one click the pointer jumps roughly like this:

(0,y) -> (-200,y+200)
(x,top) -> (x-200,top+200)
(right,y) -> (~y-200,top+200)
(x,0) -> (-200,~x+200)

Comment 1 Cole Robinson 2014-01-11 22:20:51 UTC
Reproduces with qemu.git as well. Seems specific to the gtk frontend, using -sdl is a workaround for now.

Comment 3 Fedora Update System 2014-03-19 21:28:40 UTC
qemu-1.6.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qemu-1.6.2-1.fc20

Comment 4 Fedora Update System 2014-03-21 09:30:16 UTC
Package qemu-1.6.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.6.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4134/qemu-1.6.2-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-03-24 06:43:53 UTC
qemu-1.6.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Mark Flitter 2014-04-25 15:25:54 UTC
Using qemu-1.6.2-1.fc20.x86_64 and still seeing no mouse pointer with a Fedora 20 guest (not tested with anything else).

making a remote connection via qemu+ssh

tried with

virt-manager
gnome-boxes
virt-viewer

let me know which logs/tracing/etc you need and I'll upload

Many thanks
flits

Comment 7 Cole Robinson 2014-04-25 15:42:55 UTC
mark, what you are describing sounds like a completely different bug. please file a new report and provide:

sudo virsh dumpxml $vmname
what distro is running in the VM?
what distro is running on the VM host/
what distro is running on the client


Note You need to log in before you can comment on or make changes to this bug.